#include <cmath>
#include "testlib.h"

int main( int argc, char *argv[] )
{
  setName("checker for “Moscow” problem from Saint-Petersburg School Team Contest 2009");
  registerTestlibCmd(argc, argv);
  int n = inf.readInt(), m = inf.readInt();
  double ja = ans.readDouble();
  double pa = ouf.readDouble();
  if (fabs(ja - pa) > 1e-4)
    quitf(_wa, "%.5lf found instead of %.5lf", pa, ja);
  quitf(_ok, "ans = %.10lf, n=%d,m=%d", ja, n, m);
}

